#
# spec file for package liberation-fonts
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           liberation-fonts
Version:        2.1.5
Release:        1.9
Summary:        Liberation Fonts
License:        SUSE-Liberation
Group:          System/X11/Fonts
URL:            https://github.com/liberationfonts/liberation-fonts
Source:         https://github.com/liberationfonts/liberation-fonts/files/7261482/liberation-fonts-ttf-2.1.5.tar.gz
Source9:        %{name}-rpmlintrc
BuildRequires:  fontpackages-devel
Provides:       locale(bg;el;ru;bg)
Obsoletes:      liberation2-fonts < 2
BuildArch:      noarch
%reconfigure_fonts_prereq

%description
Free fonts which are metric-compatible to "Arial", "Times New Roman"
and "Courier New".

%prep
%autosetup -n %{name}-ttf-%{version}

%build

%install
mkdir -p %{buildroot}/%{_ttfontsdir}
install -m 0644 *.ttf %{buildroot}/%{_ttfontsdir}/

%reconfigure_fonts_scriptlets

%files
%license LICENSE
%doc AUTHORS ChangeLog README.md
%{_ttfontsdir}/

%changelog
* Thu Sep 30 2021 Jan Engelhardt <jengelh@inai.de>
- Update to release 2.1.5
  * More fixes to Superscript and subscript Numbers missing issues.
  * Fixed inconsistent weight, missing glyphs and GSUB issues.
* Tue May  4 2021 Jan Engelhardt <jengelh@inai.de>
- Update to release 2.1.4
  * Superscript and subscript numbers were added (U+2074..2089)
  * Added astrological symbols (U+263F..2647)
* Tue Feb 23 2021 Jan Engelhardt <jengelh@inai.de>
- Update to release 2.1.3
  * Liberation Mono: U+2262,2669,266C were too wide
  * Tilded G was not working with Liberation Sans and Serif
- Liberation Mono finally exhibits the same xterm window width
  as observed with liberation-1.x.
* Tue Dec 22 2020 Dirk Müller <dmueller@suse.com>
- update to 2.1.2:
  - Resolves #25: liberation-fonts doesn't have proper <==> symbol
  - Resolves #33: Liberation Mono: U+20BF is too wide
  - Resolves #14: Liberation mono fonts are not recognized as monospace by fontconfig and cairo
* Sun Aug 16 2020 Dirk Mueller <dmueller@suse.com>
- update to 2.1.1:
  * Fix Liberation Sans renders most Latin combining characters incorrectly
  * Fix Combining diaerasis below does not work except U
  * Fix glyph of Cent sign (U+00A2) in Sans and Mono style
  * Fix U+25D2 and U+25D3 circle with lower / upper half black are backwards
  * Improving lowercase Cyrillic glyps localized for Macedonian and Serbian
  * COMBINING LONG SOLIDUS OVERLAY (U+0338) not centred on base character
  * Added Bitcoin sign
  * fix for few bugs
* Fri Feb  9 2018 sknorr@suse.com
- Set this package to obsolete liberation2-fonts to help
  with Tumbleweed upgrade (boo#1080244)
* Thu Feb  5 2015 p.drouand@gmail.com
- Update to version 1.07.4
  * Restored Liberation Sans Bold 'u' instructions
  * Resolved #1009650, renames serbian shapes as per AGL
  * Added new glyph for "imacron" and "g"
  * Added Correct shape for uni266B in all Liberation variants #1014357
  * Resolved Problematic shapes for macedonian alphabet #1013949
* Wed Apr  2 2014 pgajdos@suse.com
- update to 1.07.3:
  * Corrected U+2588 shape to match with Dejavu fonts in Mono
  * Resolved Serbian bug #984428
  * applied patch to remove kerning for number 1
  * corrected shape of U+040D #799384
* Mon Nov 12 2012 pgajdos@suse.com
- downgrade to 1.07.2 [bnc#788838]
  (liberation2-fonts package created)
* Thu Aug  2 2012 asterios.dramis@gmail.com
- Update to version 2.00.0.
- The package license changed to OFL-1.1.
- Build the fonts from sources. Added fontforge build requirement for this.
- Add a Provides: entry for "scalable-font-el".
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Fri May 25 2012 cfarrell@suse.com
- license update: SUSE-Liberation
  The correct license from the spreadsheet linked at license.opensuse.org
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Wed Nov  2 2011 sreeves@suse.com
- Fix license - bnc#725370
* Tue Jan 11 2011 tiwai@suse.de
- updated to version 1.06.0.20100721, including Narrow fonts
  (bnc#661433)
* Thu Apr  8 2010 tiwai@suse.de
- remove unnecessary buildrequires for too old distros
* Thu Nov 27 2008 sbrabec@suse.cz
- Degrade to version 1.03. (bnc#440913)
* Sun Nov  2 2008 coolo@suse.de
- update to 1.04 - released in july (bnc#440913)
* Fri May 11 2007 mfabian@suse.de
- new package: liberation-fonts, version 0.1.
